<?php
/**
 * 人员打赏模块定义
 *
 * @author 宝树
 * @url https://www.weixin2910.top/
 */
defined('IN_IA') or exit('Access Denied');

class Kh_driver_rewardModule extends WeModule {
    public function fieldsFormDisplay($rid = 0) {
        //要嵌入规则编辑页的自定义内容，这里 $rid 为对应的规则编号，新增时为 0
    }

    public function fieldsFormValidate($rid = 0) {
        //规则编辑保存时，要进行的数据验证，返回空串表示验证无误，返回其他字符串将呈现为错误提示。这里 $rid 为对应的规则编号，新增时为 0
        return '';
    }

    public function fieldsFormSubmit($rid) {
        //规则验证无误保存入库时执行，这里应该进行自定义字段的保存。这里 $rid 为对应的规则编号
    }

    public function ruleDeleted($rid) {
        //删除规则时调用，这里 $rid 为对应的规则编号
    }

    public function settingsDisplay($settings) {
        global $_W, $_GPC;
        //点击模块设置时将调用此方法呈现模块设置页面，$settings 为模块设置参数, 结构为数组。这个参数系统针对不同公众账号独立保存。
        //在此呈现页面中自行处理post请求并保存设置参数（通过使用$this->saveSettings()来实现）
        if(checksubmit()) {
            $cfg = array(
                'page_title' => htmlspecialchars($_GPC['page_title']),
                'search_tip' => htmlspecialchars($_GPC['search_tip']),
                'start_time' => $_GPC['start_time'],
                'end_time' => $_GPC['end_time'],
                'page_amount' => htmlspecialchars($_GPC['page_amount']),
                'share_title' => htmlspecialchars($_GPC['share_title']),
                'share_desc' => htmlspecialchars($_GPC['share_desc']),
                'share_pic' => $_GPC['share_pic'],
                'text_color' => $_GPC['text_color']
            );

            if ($this->saveSettings($cfg)) {
                message('保存设置成功', 'refresh', 'success');
            }
        }
        //这里来展示设置项表单
        include $this->template('setting');
    }

}