<?php
/*
 *---------------------------------------------------------------
 *  DESC
 *---------------------------------------------------------------
 *  author:  baoshu
 *  website: kuhou.net
 *  email:   https://www.weixin2910.top/
 *  date:    2017/12/12 下午6:57
 */

defined('IN_IA') or exit('Access Denied');

class kh_driver_rewardModuleSite extends WeModuleSite
{
    public $tb_driver = 'kh_driver_lists';
    public $tb_reward = 'kh_driver_reward_lists';
    public $tb_link = 'kh_driver_links';

    public function doMobileIndex()
    {
        global $_W;
        $config = $this->module['config'];
        $qr = pdo_getall('kh_driver_lists', array('uniacid' => $_W['uniacid']));
        include $this->template('index');
    }

    /**
     * 打赏列表
     */
    public function doMobileList()
    {
        global $_W, $_GPC;

        $config = $this->module['config'];
        // 赞赏时间区间
        $start_time = strtotime($config['start_time']);
        $end_time = strtotime($config['end_time']) + (60 * 60 * 24);


        $uniacid = $_W['uniacid'];
        $driver_id = intval($_GPC['id']);

//        $timec = pdo_fetch("SELECT sum(amount) as time_amount FROM " . tablename($this->tb_reward) . " WHERE addtime BETWEEN {$start_time} AND {$end_time} AND uniacid= {$_W['uniacid']} AND state = 1 and driver_id = {$id}");

//        $qr[$k]['time_amount'] = $timec['time_amount'];

//        $qr = pdo_getall($this->tb_reward, array('uniacid' => $uniacid, 'driver_id' => $driver_id, 'state' => 1));
        $qr = pdo_fetchall("SELECT * FROM " . tablename($this->tb_reward) . " WHERE addtime BETWEEN {$start_time} AND {$end_time} AND uniacid = {$uniacid} AND driver_id = {$driver_id} AND state = 1 order by id desc");

        foreach ($qr as $k => $v) {
            $openid = $v['openid'];

            $members_id = mc_openid2uid($openid);
            load()->model('mc');
            $members_info = mc_fetch($members_id, array('avatar', 'nickname'));

            $qr[$k]['avatar'] = $members_info['avatar'];
            $qr[$k]['nickname'] = $members_info['nickname'];
        }


        // 获取打赏总金额
        foreach ($qr as $k => $v) {
            $id = $v['id'];
            $s = pdo_fetch("SELECT sum(amount) as sum_amount FROM " . tablename($this->tb_reward) . " WHERE addtime BETWEEN {$start_time} AND {$end_time} AND uniacid= {$_W['uniacid']} AND state = 1 and driver_id = {$driver_id}");
            $sum_amount = $s['sum_amount'];
        }
        $total_amount = sizeof($qr);  
        include $this->template('list');
    }

    public function doMobileLink()
    {
        global $_W, $_GPC;

    }

    /**
     * 搜索
     */
    public function doMobileSearch()
    {
        global $_W, $_GPC;
        $qr = pdo_fetchall("SELECT * FROM " . tablename($this->tb_driver) . " WHERE uniacid='" . $_W['uniacid'] . "' AND nickname like '%" . $_GPC['search'] . "%'");
        include $this->template('index');
    }

    /**
     * 提交捐赠记录
     * @支付金额 及 订单id
     */
    public function doMobilepay()
    {
        global $_W, $_GPC;
        function sn()
        {
            return date('YmdHis') . substr(implode(NULL, array_map('ord', str_split(substr(uniqid(), 7, 13), 1))), 0, 8);
        }

        $price = $_GPC['price'];
        $ordertid = sn();

        $dat = array(
            'uniacid' => $_W['uniacid'],
            'openid' => $_W['openid'],
            'amount' => $price,
            'driver_id' => $_GPC['id']
        );

        if ($_GPC['content']) {
            $dat['msg'] = $_GPC['content'];
        }
        $dat['addtime'] = time();
        $dat['ordertid'] = $ordertid;


        // 写入数据库
        $res = pdo_insert('kh_driver_reward_lists', $dat);
        if ($res) {
            echo json_encode(array('fee' => $price, 'ordertid' => $ordertid));
        }
        //生成订单要返回一个json,一般包括金额和订单号即可,注意订单号需要唯一
    }

    /**
     * 支付回调
     * @param $params
     */
    public function payResult($params)
    {
        if ($params['result'] == 'success' && $params['from'] == 'notify') {
            $tid = $params['tid'];
            // 修改state状态
            pdo_update($this->tb_reward, array('state' => 1, 'paytime' => time()), array('ordertid' => $tid));
        }
    }

    /**
     * 打赏页
     */
    public function doMobileReward()
    {
        global $_W, $_GPC;

        $config = $this->module['config'];


        if ($config['page_amount']) {
            if (strpos($config['page_amount'], ',')) {
                $recharge = explode(',', $config['page_amount']);
            } else {
                $recharge = explode('，', $config['page_amount']);
            }
        }

        $id = intval($_GPC['id']);
        $driver_info = pdo_get($this->tb_driver, array('id' => $id));

        $config = $this->module['config'];

        $_W['page']['title'] = '';
        $_W['account']['name'] = $driver_info['nickname'] . '-' . $config['page_title'];

        $wx = $_W['account']['jssdkconfig'];
        $links = pdo_getall('kh_driver_links', array('uniacid' => $_W['uniacid']));

        include $this->template('reward');
    }

    /**
     * 管理列表
     */
    public function doWebList()
    {
        global $_W, $_GPC;

        $config = $this->module['config'];

        $qr = pdo_getall('kh_driver_lists', array('uniacid' => $_W['uniacid']));

        foreach ($qr as $k => $v) {
            $id = $v['id'];

            $s = pdo_fetchall("SELECT sum(amount) as sum_amount FROM " . tablename($this->tb_reward) . " WHERE uniacid= {$_W['uniacid']} AND state = 1 and driver_id = {$id}");

            $qr[$k]['sum_amount'] = $s[0]['sum_amount'];


            // 赞赏时间区间
            $start_time = strtotime($config['start_time']);
            $end_time = strtotime($config['end_time']) + (60 * 60 * 24);

            $timec = pdo_fetch("SELECT sum(amount) as time_amount FROM " . tablename($this->tb_reward) . " WHERE addtime BETWEEN {$start_time} AND {$end_time} AND uniacid= {$_W['uniacid']} AND state = 1 and driver_id = {$id}");

            $qr[$k]['time_amount'] = $timec['time_amount'];

        }

        include $this->template('list');
    }

    public function doWebListLink()
    {
        global $_W, $_GPC;
        $links = pdo_getall('kh_driver_links', array('uniacid' => $_W['uniacid']));
        include $this->template('list_link');
    }


    /**
     * 添加司机
     */
    public function doWebAdd()
    {

        global $_W, $_GPC;

        if (checksubmit()) {

            $dat = array(
                'uniacid' => $_W['uniacid'],
                'nickname' => $_GPC['nickname'],
                'avatar' => $_GPC['avatar'],
                'info' => $_GPC['info'],
                'addtime' => time(),
                'star' => $_GPC['star']
            );

            $ins = pdo_insert('kh_driver_lists', $dat);
            if ($ins) {
                message('添加成功', $this->createWebUrl('list'));
            }

        }
        include $this->template('add');
    }


     /**
     * 添加Link
     */
    public function doWebAddLink()
    {

        global $_W, $_GPC;

        if ($_W['ispost']) {

            $dat = array(
                'uniacid' => $_W['uniacid'],
                'show_name' => $_GPC['show_name'],
                'url' => $_GPC['url']
            );

            $ins = pdo_insert('kh_driver_links', $dat);
            if ($ins) {
                message('添加成功', $this->createWebUrl('listLink'));
            }

        }
        include $this->template('add_link');
    }


    /**
     * 编辑司机资料
     */
    public function doWebEdit()
    {
        global $_W, $_GPC;

        $tit = '编辑人员';

        $settings = pdo_get($this->tb_driver, array('id' => $_GPC['id'], 'uniacid' => $_W['uniacid']));
        if (checksubmit()) {

            $dat = array(
                'nickname' => $_GPC['nickname'],
                'avatar' => $_GPC['avatar'],
                'info' => $_GPC['info'],
                'star' => $_GPC['star']
            );
            $ins = pdo_update($this->tb_driver, $dat, array('id' => $_GPC['id']));
            if ($ins) {
                message('成功', $this->createWebUrl('list'));
            } else {
                message('失败', $this->createWebUrl('list'));
            }
        }
        include $this->template('add');
    }

    public function doWebEditLink()
    {
        global $_W, $_GPC;

        $tit = '编辑链接';
        $link = pdo_get($this->tb_link, array('id' => $_GPC['id'], 'uniacid' => $_W['uniacid']));
        if ($_W['ispost']) {

            $dat = array(
                'uniacid' => $_W['uniacid'],
                'show_name' => $_GPC['show_name'],
                'url' => $_GPC['url']
            );
            $ins = pdo_update($this->tb_driver_link, $dat, array('id' => $_GPC['id']));
            if ($ins) {
                message('成功', $this->createWebUrl('listLink'));
            } else {
                message('失败', $this->createWebUrl('listLink'));
            }
        }
        include $this->template('add_link');
    }

    /**
     * 人员打赏记录
     */
    public function doWebReward_lists()
    {
        global $_W, $_GPC;

        $uniacid = $_W['uniacid'];
        $driver_id = intval($_GPC['id']);

        $qr = pdo_getall($this->tb_reward, array('uniacid' => $uniacid, 'driver_id' => $driver_id, 'state' => 1));

        foreach ($qr as $k => $v) {
            $openid = $v['openid'];

            $members_id = mc_openid2uid($openid);
            load()->model('mc');
            $members_info = mc_fetch($members_id, array('avatar', 'nickname'));

            $qr[$k]['avatar'] = $members_info['avatar'];
            $qr[$k]['nickname'] = $members_info['nickname'];
        }

        include $this->template('reward_lists');
    }

    /**
     * 删除人员
     */
    public function doWebDel()
    {
        global $_W, $_GPC;

        $del = pdo_delete($this->tb_driver, array(
            'id' => $_GPC['id'],
            'uniacid' => $_W['uniacid']
        ));
        if ($del) {
            message('删除成功', $this->createWebUrl('list'));
        } else {
            message('删除失败', $this->createWebUrl('list'));
        }
    }

    public function doWebDelLink()
    {
        global $_W, $_GPC;

        $del = pdo_delete($this->tb_link, array(
            'id' => $_GPC['id'],
            'uniacid' => $_W['uniacid']
        ));
        if ($del) {
            message('删除成功', $this->createWebUrl('listLink'));
        } else {
            message('删除失败', $this->createWebUrl('listLink'));
        }
    }


}
